Con que version de GCC habeis compilado KDE-3.2.3 ?


  • 0

    Buenas, estoy teniendo problemas al compilar kde-3.2.3 con gentoo i me dice que el error es interno, o sea que debera ser del gcc.

    Mi version:
    gcc (GCC) 3.3.3 20040412 (Gentoo Linux 3.3.3-r6, ssp-3.3.2-2, pie-8.7.6)



  • 1

    Has comprobado antes que no sea cosa de alguna variable USE que tengas definida o que hayas puesto hace poco? A mí una vez me pasó algo parecido al intentar compilar las librerías wxGTK y lo solucioné así.

    PD1: Yo gasto aún gcc 3.2.3-r1
    PD2: Te envié esta semana el diseño a marcalj (at) terra.es lo recibiste? Lo digo porque toqué una cosa del postfix que ya está solucionada y creo que algunos correos de hace unos días no se llegaron a enviar bien…



  • 2

    Yo lo he compilado hace muy poquitos días con esa misma versión de gcc, también en Gentoo.

    gcc -v
    
    Reading specs from /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.3/specs
    Configured with: /var/tmp/portage/gcc-3.3.3-r6/work/gcc-3.3.3/configure --prefix=/usr --bindir=/usr/i686-pc-linux-gnu/gcc-bin/3.3 --includedir=/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.3/include --datadir=/usr/share/gcc-data/i686-pc-linux-gnu/3.3 --mandir=/usr/share/gcc-data/i686-pc-linux-gnu/3.3/man --infodir=/usr/share/gcc-data/i686-pc-linux-gnu/3.3/info --enable-shared --host=i686-pc-linux-gnu --target=i686-pc-linux-gnu --with-system-zlib --enable-languages=c,c++,java --enable-threads=posix --enable-long-long --disable-checking --disable-libunwind-exceptions --enable-cstdio=stdio --enable-version-specific-runtime-libs --with-gxx-include-dir=/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.3/include/g++-v3 --with-local-prefix=/usr/local --enable-shared --enable-nls --without-included-gettext --x-includes=/usr/X11R6/include --x-libraries=/usr/X11R6/lib --enable-interpreter --enable-java-awt=xlib --with-x --disable-multilib --enable-__cxa_atexit --enable-clocale=generic
    Thread model: posix
    gcc version 3.3.3 20040412 (Gentoo Linux 3.3.3-r6, ssp-3.3.2-2, pie-8.7.6)
    

    Quizás te sirva de algo echar un vistazo en los foros de Gentoo a ver si alguien ha tenido el mismo problema.



  • 3

    No Membris, no me ha llegado nada… vuelvemelo a enviar. Gracias.

    Pues no se, parece que sea algo raro...

    Bueno en realidad me peta el kdelibs. Tu que flags tienes puestas? Yo tengo estas:

    [ebuild     U ] kde-base/kdelibs-3.2.3 [3.2.2-r1] +alsa +cups +doc +ipv6 -ldap +ssl  0 kB
    
    

    PD: Antes de compilar siempre pongo en el emerge el "-pv" para que me diga las flags i tal, asi siempre se lo que me va a poner o no.

    Salu2! i gracias



  • 4

    Por si te sirve, lo he compilado con estas flags:

    Calculating dependencies ...done!
    
    [ebuild   R   ] kde-base/kdelibs-3.2.3  +alsa -cups +doc -ipv6 -ldap +ssl
    


  • 5

    Yep, ya compilo sin problemas, creo que petaba pq al hacer overclock i en una habitacion con bastante calor, daba problemas, alguna inestabildad o algo… bajandolo un poquillo compilo perfecto...

    Ahora a darle caña con KDE 3.3 dentro de poco :p

    Salu2!





Has perdido la conexión. Reconectando a Hardlimit.